package com.seatel.mobilehall.ui.base.interactor

import com.android.volley.VolleyError
import org.json.JSONObject

interface RegisterPushTokenInteractor{

    interface View{

        fun onRegisterPushTokenSucceed(response: JSONObject)
        fun onRegisterPushTokenFailed(error:VolleyError)
    }

    interface Presenter{

        fun onRegisterPushToken(token: String, phoneNumber: String)
    }
}